Login | Sign up | Toll-Free: 1-800-752-0455
 
 

Forum

 

6 posts by 3 authors in: Forums > CMS Builder
Last Post: April 22, 2016

Hi everyone, 

We've just released v3.03 beta 2 (beta list members will get an email with a download link shortly). 

This beta version requires PHP 5.5+ and MySQL 5.0+. Servers that do not support those versions will show a notice at the top of the admin menu.

The major new feature are:

  • Collapsible Separators: The separator bars can now be defined as "collapsible", and open or closed by default.
  • Field Editor: Bootstrap style "Field Addons" (input-group-addons) can now be added around text fields
  • PHP 5.5+ is now required, this is the oldest supported PHP version: http://php.net/supported-versions.php
  • New Upload System: Rewrote upload system to support different upload storage methods in future


This second beta release for v3.03 includes bug fixes for issues from http://www.interactivetools.com/forum/forum-posts.php?80487

If you're not already on the beta tester email list and you'd like to help beta test (you must own at least 1 CMSB license) you can sign up here:

http://www.interactivetools.com/news/manage.php

Please post any feedback, questions, or bugs you find!

Thanks! 

Daryl Maximo
PHP Programmer - interactivetools.com

Thanks Maurice.

Fieldaddons are styled text added before, after, or on both sides of a text field.

See the attached file for a sample.

This can be set in Section Editors -> Field Editor -> Field Options of a text field.

Cheers,

Daryl Maximo
PHP Programmer - interactivetools.com
Attachments:

fieldaddons3.03.png 5K

Hi all,

CMSB v3.03 has been released.

See more details here: http://www.interactivetools.com/forum/forum-posts.php?CMSB-v3.03-Released---Collapsible-Separators-PHP-5.5---April-20th-2016-80516

Thanks to all our excellent beta testers for their help and support in testing this release and providing feedback.

Cheers,

Daryl Maximo
PHP Programmer - interactivetools.com

The left navigation system isn't working in mac safari. the menugroup s won't open.

By Daryl - April 22, 2016 - edited: April 25, 2016

Hi mizrahi,

Thanks for pointing that out.

It seems like Safari (or older versions) doesn't support JS function's optional parameter. Ie:

function myFunction(a, b = 0)

https://developer.mozilla.org/en/docs/Web/JavaScript/Reference/Functions/default_parameters#Browser_compatibility

The fix will be added in the next release (v3.04).

But here's the patch for v3.03 (don't forget to create a file backup first):

Update resizeIframe function in \cmsb\lib\admin_functions.js

from

function resizeIframe(id, duration = 0) {

to

function resizeIframe(id, duration) {
if (typeof duration === 'undefined') { duration = 0; }

Thanks,

Daryl Maximo
PHP Programmer - interactivetools.com